<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup :: U.S. Robotics 5461 Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>

<body onload="setVisibility('idEncrypt', document.idForm.chkEncrypt.checked); setVisibility('idEncryptNo', !document.idForm.chkEncrypt.checked);">

<script type="text/javascript">
	writeHeaderSetup(2, 3);
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Securing Your Router</h1>
   <p>If the wireless network is not secured, anyone with a wireless
   client can connect to your network, use your Internet connection,
   and access your computers.
   </p>
   <p>With minimal effort, you can <strong>secure your router</strong> to prevent
   unauthorized wireless devices from connecting to your network,
   using your Internet connection, or modifying your
   router&rsquo;s configuration.
	</p>

   <p>For <strong>additional security</strong>, you can allow only specific devices
   to connect to the router (MAC filtering).
   If you won&rsquo;t have any wireless devices connecting to this
   router, you can disable the wireless features of the router.
   This will prevent any wireless devices from connecting to your router.
   These features and more (such as 802.1x) can be accessed on the
   router&rsquo;s <strong>Security</strong> page after the setup is complete.</p>

</div>

<form name="idForm" action="setup_login.asp" method="post">
<input type="hidden" name="page" value="setup_sec.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="cbAuthEncrypt" value="wpa12">
<input type="hidden" name="cbEncryption" value="tkip+aes">

<!-- This code is similar to the code on the wireless.asp page -->
<h3>Network Name (SSID)</h3>

<p>This is the name of your wireless network. Wireless devices will need to know the
network name (also known as an SSID) of your router in order to communicate with it.</p>

<p id="lblSSID"><label for="wl_ssid">Network name:</label>
	<input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false;"></p>

<p>U.S.&nbsp;Robotics recommends that you change the <strong>network name</strong>
and treat it like a password. Use a combination of more than eight alphanumeric
characters that is not easy to guess (such as &ldquo;USR5461RouterOffice&rdquo;
or &ldquo;Fish81Tree&rdquo;).</p> 

<!-- This code is similar to the code on the wireless.asp page but MUCH simpler -->
<h3>Security</h3>

<p>U.S.&nbsp;Robotics recommends securing your router from unauthorized
wireless devices by using WPA encryption.
If you want to use a different method, you can change it on the
router&rsquo;s <strong>Security</strong> page after the setup is complete.
</p>

<p><input type="checkbox" name="chkEncrypt" id="chkEncrypt" checked
	onclick="toggleVisibility('idEncrypt'); toggleVisibility('idEncryptNo');"> <label for="chkEncrypt">Secure the router against unauthorized access (recommended)</label></p>

<div id="idEncrypt">

<table border="0">
	<tr>
		<td id="lblMethod" valign="top"><label>Method:</label></td>
		<td>
			<span class="clsStatic">WPA2 and WPA</span>
		</td>
	</tr>

	<!-- WPA -->
	<tr>
		<td valign="top" id="lblPassPhrase"><label for="wl_wpa_psk">Pass&nbsp;phrase:</label></td>
			<!-- either 32 hex digits or ASCII that WPA hashes to a 256-bit key -->
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false;">
<input id="btnGenerateWPA" type="button" value="Generate" class="clsSmall" onclick="wl_wpa_psk.value = generateWPAkey();"><br/>
			<span class="clsNote">(The pass phrase must be between eight and sixty-three characters long.)</span>
			</td>
	</tr>
</table>

<p>You can enter your own pass phrase or press the <strong>Generate</strong>
button to create a random key.
U.S.&nbsp;Robotics recommends that you treat your <strong>WPA pass phrase</strong> like
a password and use a combination of alphanumeric characters that is not
easy to guess (such as &ldquo;Fish5Rock9Tree&rdquo; or &ldquo;20Dogs933Trot&rdquo;).</p>

</div>
<div id="idEncryptNo" style="display: none;" class="clsNotice">
	<p>Please note that you have disabled encryption on the router and your
	wireless network will be insecure. Unauthorized wireless devices may be
	able to connect to your network, use your Internet connection, and access
	your computers.
	You can enable encryption later on the router&rsquo;s <strong>Security</strong> page.</p>
</div>

<p class="clsSave">You will need to enter these values when you configure a wireless client.
After setup is complete, these values will be displayed on the
router&rsquo;s <strong>Status</strong> and <strong>&ldquo;How to Add a New Client&rdquo; Tutorial</strong> pages,
and you can write them down or print them.
</p>

<p>When you&rsquo;re finished and ready to go to the next step, press <strong>Next</strong>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; set_encryption();"></p>
<!-- If all entries are valid, Setup-Login is displayed. An error keeps the user here. -->

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
